Bug 1000260 - php-simplepie bundles Flash files
php-simplepie bundles Flash files
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: php-simplepie (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Nalley
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: WebAssets-BundledBinaries
  Show dependency treegraph
 
Reported: 2013-08-23 00:33 EDT by T.C. Hollingsworth
Modified: 2016-08-19 16:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:18:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description T.C. Hollingsworth 2013-08-23 00:33:24 EDT
This package contains binary files that are typically excuted by the Flash
player or another similar program.

These files are not permitted in Fedora. [1]  Everything we produce needs to
be built from source. [2]

The offending file(s) shipped in this package are:
/usr/share/doc/php-simplepie/demo/for_the_demo/lucida-grande-bold.swf
/usr/share/doc/php-simplepie/demo/for_the_demo/mediaplayer.swf
/usr/share/doc/php-simplepie/demo/for_the_demo/source_files/sIFR-r245/sifr.fla
/usr/share/doc/php-simplepie/demo/for_the_demo/verdana.swf
/usr/share/doc/php-simplepie/demo/for_the_demo/yanone-kaffeesatz-bold.swf

If these files are just a fallback for something that is now supported by modern
web standards like the HTML5 <video> element, please just remove the binaries.

If removing these files would seriously cripple your application, please let me
know so we can figure out a solution.

If you have any questions, please shout.  Thanks!

[1] https://fedoraproject.org/wiki/Packaging:Guidelines#No_inclusion_of_pre-built_binaries_or_libraries
[2] https://lists.fedoraproject.org/pipermail/devel/2013-August/187836.html
Comment 1 ILMostro 2014-04-03 15:19:06 EDT
any updates on this package? As of today, installing wordpress from fedora repo pulls in php-simplepie as a dependency; the flash files are still included with no change.
Comment 2 Jaroslav Reznik 2015-03-03 10:00:16 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 3 Fedora End Of Life 2016-07-19 06:18:12 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Adam Williamson 2016-08-19 16:53:58 EDT
Still valid as of F25: the last build (the F24 mass rebuild) still includes the .swf files and they are not compiled from source.

Note You need to log in before you can comment on or make changes to this bug.